////////////////////////////////////////////////////////////////////////////////
// MODULE  GoRGUI:    RankList in GoR format                   G.Kaniuk 25/02/03
//

#include <dialogs.hpp>
#include <stdctrls.hpp>

#ifndef ExportGUIH
#define ExportGUIH

#include "TextSmith.h"

namespace GoRGUI
{
   using std::string;
   using std::vector;

   class GoRRankFile : public TextSmith::RankFile
   {
   	public:
      	TStringList* RatingClubList;

      public:
         GoRRankFile(string& fname, TourMaster::GTourMaster* tour);

         string game_string(Tours::GGame& game);

         void HeadLine();

         void RankLine
         (
            bool newgrp, int p, int pos,
            Tours::GPlayerPtr P
         );
   };


   struct GoRTube                                           // INTEFACE WITH GoRFrm
   {
      string TourName;                                      // Extracted from TourId by constructor

      string FileName;                                      // Internally generated or set by user

      String GoRExt;														// The extension

      TStringList* Lines;                                   // Header lines edited by user


      GoRTube(const GoRRankFile& GoRRank);                  // Construct the tube - Lines owned by GoRRank

      void LoadFrom(const string FileName, TMemo* Memo);    // Pick up changes from the GoR dialogue

      void CancelRankList();
   };
}


namespace ExportGUI
{
   void ExportRankCmd(TSaveDialog* SaveDlg);

   void ExportWebCmd(TSaveDialog* SaveDlg);

   void ExportRatingCmd(TComponent* Owner,TSaveDialog* SaveDlg);
}

#endif
//------------------------------------------------------------------------------
