//---------------------------------------------------------------------------
// MODULE GoDraw:       Application - Wide Globals        G.Kaniuk 11/04/04
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("GoDraw.res");
USELIB("..\Tools\Tools.lib");
USELIB("..\ToolsGUI\ToolsGUI.lib");
USELIB("..\Tours\Tours.lib");
USELIB("..\Print\Print.lib");
USEFORM("GoDrawForm.cpp", GoDrawFrm);
USEFORM("TrainForm.cpp", TrainFrm);
USEFORM("AboutForm.cpp", AboutFrm);
USEFORM("CardsForm.cpp", CardsFrm);
USEFORM("CloseRegForm.cpp", CloseRegFrm);
USEFORM("EditPlayerForm.cpp", EditPlayerFrm);
USEFORM("GoRForm.cpp", GoRFrm);
USEFORM("GroupForm.cpp", GroupFrm);
USEFORM("JoinDrawForm.cpp", JoinDrawFrm);
USEFORM("MonitorForm.cpp", MonitorFrm);
USEFORM("NewForm.cpp", NewFrm);
USEFORM("PairForm.cpp", PairFrm);
USEFORM("PairParsForm.cpp", PairParsFrm);
USEFORM("PrefForm.cpp", PrefFrm);
USEFORM("PrizeForm.cpp", PrizeFrm);
USEFORM("RankForm.cpp", RankFrm);
USEFORM("RulesForm.cpp", RulesFrm);
USEFORM("SeekForm.cpp", SeekFrm);
USEUNIT("UpsetGUI.cpp");
USEUNIT("ExportGUI.cpp");
USEUNIT("GoDrawGUI.cpp");
USEUNIT("PairPaneGUI.cpp");
USEUNIT("PairPanelGUI.cpp");
USEUNIT("RegGUI.cpp");
USEUNIT("RegListsGUI.cpp");
USEUNIT("RegPanelGUI.cpp");
USEUNIT("ResGUI.cpp");
USEUNIT("TourMaster.cpp");
USEUNIT("DrawMaster.cpp");
USEUNIT("MenuMaster.cpp");
USEUNIT("PairMaster.cpp");
USEUNIT("PlayerMaster.cpp");
USEUNIT("PrefsMaster.cpp");
USEUNIT("RegMaster.cpp");
USEUNIT("RulesMaster.cpp");
USEUNIT("SettingsMUI.cpp");
USEUNIT("FileMUI.cpp");
USEUNIT("HelpMUI.cpp");
USEUNIT("PairMUI.cpp");
USEUNIT("PrintMUI.cpp");
USEUNIT("TextSmith.cpp");
USEUNIT("GoDrawGeom.cpp");
USEUNIT("GoDrawStates.cpp");
USEUNIT("Model.cpp");
USEUNIT("Pair.cpp");
USEUNIT("PairSort.cpp");
USEUNIT("PairTool.cpp");
USERC("EdPlayerRES.rc");
USERC("FileRES.rc");
USERC("GoDrawRES.rc");
USERC("GoErrMsgRES.rc");
USERC("GoFormRES.rc");
USERC("GoInfoRES.rc");
USERC("GoPrefsRES.rc");
USERC("GroupRES.rc");
USERC("PairRES.rc");
USERC("PalgRES.rc");
USERC("PrRES.rc");
USERC("SetsRES.rc");
USEUNIT("EditPlayerGUI.cpp");
USEUNIT("PairGUI.cpp");
USEUNIT("TourMUI.cpp");
USEUNIT("PairMcMahon.cpp");
USEUNIT("PrintReg.cpp");
USEUNIT("PrintCards.cpp");
USEUNIT("PrintDrawRes.cpp");
USEUNIT("PrintPrize.cpp");
USEUNIT("PrintRank.cpp");
USERES("..\Graphics\PANEBIT.RES");
USERC("..\Tours\TourRES.rc");
USERC("..\Print\PrinterRES.rc");
USERC("..\ToolsGUI\ETourRES.rc");
//---------------------------------------------------------------------------
#include "ETour.h"

String FatalError = "GoDraw will now terminate";

ToolsGUI::ErrorLog AppLog;            // Log file created with main form
//---------------------------------------------------------------------------

WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "GoDraw";
		Application->HelpFile = "C:\\GoTour\\GoDraw\\Help\\GODRAW.HLP";
		Application->CreateForm(__classid(TGoDrawFrm), &GoDrawFrm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
