////////////////////////////////////////////////////////////////////////////////
// MODULE GoDrawForm:       GoDraw Application        G.Kaniuk 05/04/02
//
#ifndef GoDrawFormH
#define GoDrawFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Dialogs.hpp>

#include "Tour.h"
#include "RegGUI.h"
#include "TourMUI.h"
#include "PairPaneGUI.h"
#include "TourMaster.h"
#include "EditPlayerForm.h"
#include "SeekForm.h"

//---------------------------------------------------------------------------

enum { UWM_END_FORM_CREATE = WM_USER + 101 };  	// TRIGGER THE SLOW PART OF INITIALISATION

class TGoDrawFrm : public TForm
{
__published:	// IDE-managed Components
   TMainMenu *MainMenu;
   TMenuItem *FileMu;
   TGroupBox *RegGroup;
   TGroupBox *BarGroup;
   TGroupBox *PopGroup;
   TGroupBox *PairGroup;
   TPanel *RegPanel;
   TPanel *RoundPan;
   TPanel *PairPanel;
   TLabel *MacLbl;
   TLabel *MacPopLbl;
   TLabel *RegLbl;
   TLabel *RegPopLbl;
   TLabel *PlayersLbl;
   TLabel *PlayersPopLbl;
   TComboBox *MacBox;
   TLabel *KomiLbl;
   TComboBox *KomiBox;
   TLabel *KomiPopLbl;
   TLabel *NoviceLbl;
   TComboBox *NoviceBox;
   TLabel *NovicePopLbl;
   TLabel *LandLbl;
   TLabel *LandPopLbl;
   TLabel *ClubLbl;
   TLabel *ClubPopLbl;
   TLabel *NowLbl;
   TLabel *NowPopLbl;
   TLabel *NextLbl;
   TLabel *NextPopLbl;
   TLabel *ResLbl;
   TLabel *ResPopLbl;
   TLabel *PrizeLbl;
   TLabel *PrizePopLbl;
   TButton *FindBtn;
   TButton *RegAllBtn;
   TButton *FastRegBtn;
   TButton *CloseBtn;
   TLabel *RoundLbl;
   TComboBox *RoundBox;
   TButton *ReOpenBtn;
   TButton *RestoreBtn;
   TBitBtn *PrRegBtn;
   TButton *PairBtn;
   TBitBtn *PrDrawBtn;
   TBitBtn *PrRankBtn;
   TBitBtn *PrPrizesBtn;
	TButton *ManualBtn;
   TButton *EditBtn;
   TButton *SaveBtn;
   TButton *CancelBtn;
   TStatusBar *StatusBar;
   TImageList *ImageList;
   TTimer *Timer;
   TOpenDialog *OpenDlg;
	TMenuItem *FileNew;
	TMenuItem *FileOpen;
	TMenuItem *FileBackup;
	TMenuItem *FileClose;
   TMenuItem *N1;
	TMenuItem *FileImport;
	TMenuItem *FileExport;
   TMenuItem *FileRankListMi;
   TMenuItem *FileWebResultsMi;
   TMenuItem *FileRatingFileMi;
	TMenuItem *N3;
	TMenuItem *FileExit;
	TMenuItem *SettingsMu;
	TMenuItem *PrintShop;
	TMenuItem *ToolsMu;
	TMenuItem *HelpMu;
	TSaveDialog *ExportDlg;
	TMenuItem *SettingsRules;
	TMenuItem *SettingsPreferences;
	TMenuItem *PrShopReg;
	TMenuItem *PrShopDraw;
	TMenuItem *PrShopResults;
	TMenuItem *PrShopRankList;
	TMenuItem *N4;
	TMenuItem *PrShopCards;
	TMenuItem *PrShopTest;
	TMenuItem *ToolsViewRank;
	TMenuItem *ToolsViewPrizes;
	TMenuItem *N5;
	TMenuItem *ToolsSimulate;
	TMenuItem *N6;
	TMenuItem *ToolsPerformance;
	TMenuItem *HelpOverview;
	TMenuItem *N7;
	TMenuItem *HelpAbout;
	TMenuItem *PrShopPrizes;
	TMenuItem *SettingsTraining;
	TButton *UnRegAllBtn;
	TMenuItem *PrShopSetup;
	TMenuItem *N8;
	TMenuItem *ToolsClear;
	TMenuItem *HelpIndex;
	TMenuItem *HelpErr;
	TMenuItem *N9;
	TMenuItem *FileSaveCopyAs;
	TMenuItem *N10;
	TSaveDialog *SaveCopyDlg;
	TMenuItem *HelpMenus;
	TMenuItem *ToolsGroups;
	TMenuItem *N11;
	TOpenDialog *ImportDlg;
	TMenuItem *HelpRegEd;
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormDestroy(TObject *Sender);
   void __fastcall FormResize(TObject *Sender);
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  
   void __fastcall FileOpenClick(TObject *Sender);
	void __fastcall EditDrawClick(TObject *Sender);
	void __fastcall SaveDrawClick(TObject *Sender);
	void __fastcall FileNewClick(TObject *Sender);
	void __fastcall FileRankListClick(TObject *Sender);
	void __fastcall FileWebResultsClick(TObject *Sender);
	void __fastcall FileRatingsClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FileCloseClick(TObject *Sender);
	void __fastcall FindBtnClick(TObject *Sender);
	void __fastcall FastRegBtnClick(TObject *Sender);
	void __fastcall RegAllBtnClick(TObject *Sender);
	void __fastcall HelpAboutClick(TObject *Sender);
	void __fastcall FileBackupClick(TObject *Sender);
	void __fastcall FileExitClick(TObject *Sender);
	void __fastcall SettingsRulesClick(TObject *Sender);
	void __fastcall CloseBtnClick(TObject *Sender);
	void __fastcall ReOpenBtnClick(TObject *Sender);
	void __fastcall PairBtnClick(TObject *Sender);
	void __fastcall UnRegAllBtnClick(TObject *Sender);
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall ManualBtnClick(TObject *Sender);
	void __fastcall RoundBoxClick(TObject *Sender);
	void __fastcall PrRegBtnClick(TObject *Sender);
	void __fastcall PrDrawBtnClick(TObject *Sender);
	void __fastcall PrRankBtnClick(TObject *Sender);
	void __fastcall PrPrizesBtnClick(TObject *Sender);
	void __fastcall PrShopDrawClick(TObject *Sender);
	void __fastcall PrShopResultsClick(TObject *Sender);
	void __fastcall PrShopCardsClick(TObject *Sender);
	void __fastcall PrShopTestClick(TObject *Sender);
	void __fastcall PrShopRegClick(TObject *Sender);
	void __fastcall PrShopRankListClick(TObject *Sender);
	void __fastcall PrShopPrizesClick(TObject *Sender);
	void __fastcall PrShopSetupClick(TObject *Sender);
	void __fastcall SettingsTrainingClick(TObject *Sender);
	void __fastcall SettingsPreferencesClick(TObject *Sender);
	void __fastcall RestoreBtnClick(TObject *Sender);
	void __fastcall ToolsMonitorClick(TObject *Sender);
	void __fastcall ToolsSimClick(TObject *Sender);
	void __fastcall ToolsClearClick(TObject *Sender);
	void __fastcall ToolsRankClick(TObject *Sender);
	void __fastcall HelpOClick(TObject *Sender);
	void __fastcall HelpIClick(TObject *Sender);
	void __fastcall ToolsMuClick(TObject *Sender);
	void __fastcall HelpEClick(TObject *Sender);
	void __fastcall BarClick(TObject *Sender);
	void __fastcall ToolsPrizesClick(TObject *Sender);
	void __fastcall SaveCopyAsClick(TObject *Sender);
	void __fastcall HelpMClick(TObject *Sender);
	void __fastcall ToolsGroupsClick(TObject *Sender);
	void __fastcall FileImportClick(TObject *Sender);
	void __fastcall HelpRClick(TObject *Sender);
	void __fastcall ComboBoxDropDown(TObject *Sender);

   void __fastcall BarChange(TObject *Sender);

private:
   void __fastcall WndProc(TMessage& Message);

public:

   __fastcall TGoDrawFrm(TComponent* Owner);

   void __fastcall BeginCommand(void);															// GK REGSORT 2015
   void __fastcall BeginCommand(int IdCmd);
   void __fastcall EndCommand(int idCmd, int regCon=TourMaster::regOldSort); 		// GK REGSORT 2015

   void __fastcall EndFormCreate(TMessage& Message);

   void __fastcall SetFormText(void);

   BEGIN_MESSAGE_MAP
   	MESSAGE_HANDLER(UWM_END_FORM_CREATE, TMessage, EndFormCreate)
   END_MESSAGE_MAP(TForm)

   //------------------------------------------------------------------------------
   public:
      RegGUI::GRegGrid* RegGrid;                // Register pane
      PairGUI::GPairGrid* PairGrid;             // Draw Grid
      ResGUI::GResGrid* ResGrid;                // Results Grid
      UpsetGUI::GUpsetList* UpsetList;          // Invisible upset list

      PaneGUI::GPairPane* PairPane;             // Support pair editing

      TEditPlayerFrm* EdPlayerFrm;					// Created via NewBtn or ClickRegGrid

   private:
      TSeekFrm* SeekFrm;								// Created via FindBtn

      TourMUI::MRegPopup* RegPopup;					// PopupMenu for RegGrid
      TourMUI::MPairPopup* PairPopup;				// PopupMenu for PairGrid, ResGrid

   public:
      void __fastcall ClearTourInfo();
      void __fastcall ShowTourInfo();
      void __fastcall ShowTourInfo(String Message);
      void __fastcall ShowTourStatus();
      void __fastcall ShowMsg(const char* msg);		// GK 6.5.1

      void __fastcall EditPlayer(const int row);
      void __fastcall RegGridLoadPlayer(Tours::GPlayerPtr player, const int row);
      void __fastcall RegGridEndPlayerEdit(const bool newplayer);
      bool __fastcall PlayerTextChanged(void);
      bool __fastcall DismissedPlayerEdit(const int idmessage);

      void __fastcall LoadPlayerIDs(void);
      void __fastcall SetIdBoxItemIndex(const int row);
      void __fastcall SetRegGridStatusDormant(void);
      void __fastcall ChangeToPlayer(const int row);

      String __fastcall ShortPlayer(const int row);


   private:												// GEOMETRY
      enum { frmUsing, frmDestroying };

      bool UsingForm;                        // false when destroying
      bool MaximisedForm;							// true after SC_MAXIMISED detected

      int minClientHeight, minClientWidth;

      int HorzPosition, VertPosition;        // Saved scrollbar positions
                                             // In GoDrawGeom.cpp

      void __fastcall StartUpForm(void);
      void __fastcall EnableControls(void);

      void __fastcall MinGroupWidths(void);
      void __fastcall ScaleGroupWidths(void);

      void __fastcall MinGroupHeights(void);
      void __fastcall ScaleGroupHeights(void);

      void __fastcall ReBuildRegPanel(void);
      void __fastcall ReBuildPairPanel(void);
      void __fastcall ReBuildBars(void);
      void __fastcall ReBuildPops(void);

      void __fastcall ReBuildForm(void);

      void __fastcall SetHelpContextID(void);

   private:                                  // STATE MANAGEMENT
   	bool IgnoringClick;

      Tours::TourState OldState;					// Check GoTour State changes

      TComponent* StateControls[TourMaster::cmdCount];

      bool __fastcall IgnoreClick(void);
      
      void __fastcall TagCriticalControls(void);
      void __fastcall EnableCriticalControls(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TGoDrawFrm *GoDrawFrm;
//---------------------------------------------------------------------------
#endif
