////////////////////////////////////////////////////////////////////////////////
// MODULE GoRForm:       EXPORT RATINGS FILE        G.Kaniuk 06/03/03
//
#include <vcl.h>
#include <vcl\sysutils.hpp>

#pragma hdrstop

#include "GoErrMsgRES.h"
#include "GoDrawRES.h"
#include "GoFormRES.h"
#include  "FileRES.h"

#include "Strings.h"
#include "Etour.h"

#include "GoRForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TGoRFrm *GoRFrm;
//---------------------------------------------------------------------------
__fastcall TGoRFrm::TGoRFrm
(
   TComponent* owner,
   TSaveDialog* saver,
   GoRGUI::GoRTube* gor
):TForm(Owner)
{
	using TourMaster::GoTour;
   
   GoR = gor;

   SaveAsDlg = saver;

   Caption =  LoadStr(IDF_GoRFrmCap) + Tools::s_S(GoTour.TourNameYear());

   GlossLbl->Caption = LoadStr(IDF_GoRFrmHead);

   GoRMem->Lines->Clear();

   GoRMem->Lines->BeginUpdate();

   for(int i =0; i<GoR->Lines->Count; i++)
      GoRMem->Lines->Append(GoR->Lines->Strings[i]);

   GoRMem->Lines->EndUpdate();

   FileLbl->Caption = Tools::s_S(GoR->FileName);
}
//---------------------------------------------------------------------------

void __fastcall TGoRFrm::SaveBtnClick(TObject *Sender)
{
   using ToolsGUI::WarnOverwrite;

   if(FileExists(FileLbl->Caption))
   {
      switch(WarnOverwrite(Tools::S_s(FileLbl->Caption)))
      {
         case IDYES:                        break;   // Yes wants to overwrite
         case IDNO:  ModalResult = mrNone;  return;

         default:  ModalResult = mrNone;  return;  // software bug
      }
   }

   GoR->LoadFrom(Tools::S_s(FileLbl->Caption), GoRMem);

   ModalResult = mrOk;
}
//---------------------------------------------------------------------------

void __fastcall TGoRFrm::SaveAsBtnClick(TObject *Sender)
{
   try
   {
      SaveAsDlg->FileName = Tools::s_S(GoR->FileName);
      SaveAsDlg->Filter   = LoadStr(IDL_FGoRList) + GoR->GoRExt;

      if(SaveAsDlg->Execute())
      {
         GoR->LoadFrom(Tools::S_s(SaveAsDlg->FileName), GoRMem);

         ModalResult = mrOk;
      }
   }
   catch(Exception &Err)
   {
      ToolsGUI::Serve(Err, IDM_FileExport, IDE_NoMemory);

      ModalResult = mrCancel;
   }

}
//---------------------------------------------------------------------------

void __fastcall TGoRFrm::CancelBtnClick(TObject *Sender)
{
   ModalResult = mrCancel;
}
//---------------------------------------------------------------------------


