//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>

#include "MenuMaster.h"
#include "RegPanelGUI.h"

#ifndef GroupFormH
#define GroupFormH
//---------------------------------------------------------------------------

class TGroupFrm;

class JListBox : public RegPanelGUI::MListBox
{
	protected:
   	TGroupFrm* GroupForm;

      TColor clFont;
      TColor clHighlightFont;
      TColor clBackground;

   	DYNAMIC void __fastcall DblClick(void);
      DYNAMIC void __fastcall Click(void);
      
	public:
   	__fastcall JListBox
      (
      	TGroupFrm* groupform,	TComponent* owner,

         const int left, const int top, const int width, const int height
      );
};

//---------------------------------------------------------------------------
class TGroupFrm : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupPlayersBox;
	TGroupBox *GroupOpsBox;
	TButton *OkBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	TButton *AddBtn;
	TButton *RemoveBtn;
	TComboBox *CodeCombo;
	TComboBox *IdCombo;
	TLabel *IdLbl;
	TStatusBar *GroupStatusBar;
	void __fastcall AddBtnClick(TObject *Sender);
	void __fastcall CodeComboClick(TObject *Sender);
	void __fastcall IdComboClick(TObject *Sender);
	void __fastcall RemoveBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall OnMouseWheelUpDn(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
	void __fastcall FormMouseWheel(TObject *Sender, TShiftState Shift,
          int WheelDelta, TPoint &MousePos, bool &Handled);

public:
	JListBox* PlayerBox;
   JListBox* MemberBox;

   void __fastcall ClearInfo(void);
	void __fastcall ShowInfo(const int messid);
	void __fastcall BeepInfo(const int messid);

   void __fastcall ShowMembers(const String& Group);
   void __fastcall ClearMembers(void);

   int __fastcall CodeAnalysis(String& Group);
   int __fastcall IdAnalysis(String& Group);

public:
	__fastcall TGroupFrm(TComponent* Owner, TourGroupsMaster::MGroupsTube& groupstube);
   __fastcall ~TGroupFrm();

	TourGroupsMaster::MGroupsTube& GroupsTube;

   int StartIndex;
};
//---------------------------------------------------------------------------
//extern PACKAGE TGroupFrm *GroupFrm;
//---------------------------------------------------------------------------
#endif
