//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "JoinDrawIDH.h"
#include "TourRES.h"

#include "GoDrawGUI.h"
#include "JoinDrawForm.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

//---------------------------------------------------------------------------

const int JoinFields = 3;
const int JoinColPos[3] = { 0, 145, 190 };

//---------------------------------------------------------------------------
__fastcall TJoinDrawFrm::TJoinDrawFrm
(
	TComponent* Owner, MJoinDrawTube& joindrawtube
)
: TForm(Owner), JoinDrawTube(joindrawtube)
{
	using RegPanelGUI::MListBox;

   Caption = LoadStr(IDT_JoinDrawTit) + JoinDrawTube.TourNameYear;

   JoiningText->Caption = LoadStr(IDT_JoinDrawQuery);

   HelpFile = GoDraw::HelpFilePath(String("JoinDraw.hlp"));
   
   YesBtn->HelpContext = IDH_jdYes;
   NoBtn->HelpContext  = IDH_jdNo;

	try
   {
   	JoinDrawBox = new MListBox(this, JoinFields, JoinColPos);

      JoinDrawBox->SetSorted(true);

      JoinDrawBox->Top = 68;			JoinDrawBox->Left = 8;
      JoinDrawBox->Height = 165;		JoinDrawBox->Width = 337;

      JoinDrawBox->TabStop = false;
      
      JoinDrawBox->Clear();

      JoinDrawBox->Items->BeginUpdate();
         for(int p=1; p<=JoinDrawTube.PlayerCount; p++)
            if(JoinDrawTube.JoiningPlayer(p))
               JoinDrawBox->Items->Add(JoinDrawTube.JoiningPlayerText(p));
      JoinDrawBox->Items->EndUpdate();

      JoinDrawBox->ItemIndex = -1;
      
   	JoinDrawBox->Show();
   }
   catch(...)
   {
   	delete JoinDrawBox;
   }
}
//---------------------------------------------------------------------------

void __fastcall TJoinDrawFrm::YesBtnClick(TObject *Sender)
{
	ModalResult = mrYes;
}
//---------------------------------------------------------------------------

void __fastcall TJoinDrawFrm::NoBtnClick(TObject *Sender)
{
	ModalResult = mrNo;
}
//---------------------------------------------------------------------------

void __fastcall TJoinDrawFrm::HelpBtnClick(TObject *Sender)
{
	try{ Application->HelpCommand(HELP_CONTEXT, IDH_JOINDRAW); }catch(...){ }
}
//---------------------------------------------------------------------------

void __fastcall TJoinDrawFrm::FormClose(TObject *Sender,
      TCloseAction &Action)
{
	try{ Application->HelpCommand(HELP_QUIT, 0); }catch(...){ }	
}
//---------------------------------------------------------------------------

