////////////////////////////////////////////////////////////////////////////////
// MODULE MonitorForm:   Show Model-Actual comparison of draw  G.Kaniuk 12/11/04
//

#include <vcl.h>
#pragma hdrstop

#include "GoErrMsgRES.h"
#include "PairRES.h"
#include "MonitorForm.h"
//---------------------------------------------------------------------------

#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------

__fastcall TMonitorFrm::TMonitorFrm(TComponent* Owner, MonitorMaster::MMonitorTube& MonTube): TForm(Owner)
{
	Caption = LoadStr(IDQ_MonCap) + MonTube.TourName;

   // PAIRING REPORT
	if(MonTube.Counts->Count>3)
   	CountGrid->RowCount = (MonTube.Counts->Count+3)/3;
   else
   	CountGrid->RowCount = 4;

	for(int col=1; col<=3; col++)
   	CountGrid->Cells[col][0] = LoadStr(IDQ_MONITOR + col-1);

   for(int row=1; row<=2; row++)
   {
   	CountGrid->Cells[0][row] = LoadStr(IDQ_MONITOR + 3 + row-1);

      for(int col = 1; col<=3; col++)
      	CountGrid->Cells[col][row] = MonTube.Counts->Strings[3*(row-1) + col-1];
	}

   for(int row=3; row<CountGrid->RowCount; row++)
   {
   	CountGrid->Cells[0][row] = LoadStr(IDQ_Trial) + String(row-2);

      for(int col = 1; col<=3; col++)
      	CountGrid->Cells[col][row] = MonTube.Counts->Strings[3*(row-1) + col-1];
   }

   // SLEEPER GRID
   const int SleepRowCount = MonTube.SleepCount<7 ? 7 : MonTube.SleepCount+1;

   SleeperGrid->RowCount    = SleepRowCount;

   SleeperGrid->Cells[0][0] = MonTube.GetSleeperField(0,0);
   SleeperGrid->Cells[1][0] = MonTube.GetSleeperField(1,0);

   for(int row=1; row<SleeperGrid->RowCount; row++)
   {
   	SleeperGrid->Cells[0][row] = MonTube.GetSleeperField(0,row);
      SleeperGrid->Cells[1][row] = MonTube.GetSleeperField(1,row);
   }

   // DESELECT
   {
   	TGridRect NoSelect;

      NoSelect.Top    = -1;   NoSelect.Left  = -1;
      NoSelect.Bottom = -1;   NoSelect.Right = -1;

      SleeperGrid->Selection = NoSelect;
      CountGrid->Selection = NoSelect;
   }
}
//---------------------------------------------------------------------------
void __fastcall TMonitorFrm::GridSelectCell
(
	TObject *Sender, int col, int row,
   bool &CanSelect
)
{
	CanSelect = false;
}
//---------------------------------------------------------------------------

void __fastcall TMonitorFrm::FormMouseWheel
(
	TObject *Sender,
   TShiftState Shift,
   int WheelDelta, TPoint &MousePos,
   bool &Handled
)
{
	Handled = true;
}
//---------------------------------------------------------------------------


void __fastcall TMonitorFrm::MouseWheelUpDn(TObject *Sender,
      TShiftState Shift, TPoint &MousePos, bool &Handled)
{
	Handled = true;
}
//---------------------------------------------------------------------------

