////////////////////////////////////////////////////////////////////////////////
// MODULE NewForm:       New Tournament Dialogue        G.Kaniuk 05/04/02
//

#include <Buttons.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>

#include "RegPanelGUI.h"
#include "MenuMaster.h"
//---------------------------------------------------------------------------

#ifndef NewFormH
#define NewFormH

//---------------------------------------------------------------------------
using RegPanelGUI::MComboBox;

class TNewFrm;

class SComboBox : public MComboBox
{
	private:
   	TNewFrm* NewForm;

      bool KillOnChange;

	public:
   	__fastcall SComboBox(TComponent* Owner);

   	void __fastcall OnClickList(TObject* Sender);
      void __fastcall OnChangeEd(TObject* Sender);
};
//---------------------------------------------------------------------------

class TNewFrm : public TForm
{
__published:	// IDE-managed Components
   TBitBtn *SeedBtn;
	TButton *HelpBtn;
	TButton *OkBtn;
	TBitBtn *RenameBtn;
	TLabel *TourLbl;
	TLabel *YearLbl;
	TSaveDialog *SaveDlg;
	TOpenDialog *OpenDlg;
	TEdit *YearEd;
	TStatusBar *StatusBar;
	TLabel *SeedLbl;
	TLabel *RenameLbl;
	TButton *CancelBtn;
   void __fastcall OkBtnClick(TObject *Sender);
	
	void __fastcall RenameBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall SeedBtnClick(TObject *Sender);
	void __fastcall CancelRenamed(TObject *Sender);
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall OnKeyEnter(TObject *Sender, char &Key);

	// void __fastcall TourBoxChange(TObject *Sender);

private:
	SComboBox* TourBox;

   FileMaster::MNewTube& NewTube;

   bool Scrolled;
   
   bool Renamed;

   bool __fastcall TNewFrm::ParseNameYear(void);

public:
   __fastcall TNewFrm(TComponent* Owner, FileMaster::MNewTube& newtube);
};

//---------------------------------------------------------------------------
#endif
