////////////////////////////////////////////////////////////////////////////////
// MODULE PairMUI: Parameters and Monitor dialogue support    G.Kaniuk 11/10/04
//

#include <vcl.h>
#pragma hdrstop
#pragma package(smart_init)
//---------------------------------------------------------------------------

#include "GoErrMsgRES.h"
#include "PairRES.h"

#include "TourMaster.h"
#include "MenuMaster.h"
#include "PairParsForm.h"
#include "MonitorForm.h"
#include "PairMUI.h"
//---------------------------------------------------------------------------

namespace PairMUI												// PAIR PARS FORM
{
   // PairParsForm is invoked by the Advance button in Rules
	int PairParsForm(TComponent* Owner, bool Enabled, Byte* PairParam)
   {
   	int PairParsResult = 0;

      TPairParsFrm* PairParsForm = 0;

      PairMaster::PairParams Pars;  Pars.GetStream(PairParam);

   	try
      {
      	PairParsForm = new TPairParsFrm(Owner, Enabled, Pars);

         if(PairParsForm->ShowModal() == mrOk)
         {
            Pars.PutStream(PairParam);

         	PairParsResult = ppOK;
         }
         else
         	PairParsResult = ppCancel;

         delete PairParsForm;
      }
      catch(...)
      {
      	delete PairParsForm;

         PairParsResult = ppFail;
      }
      return PairParsResult;
   }
 }
//---------------------------------------------------------------------------

namespace PairMUI												// MONITOR FORM
{
	void MonitorForm
   (
   	TComponent* Owner,
      PairCount& Model, PairCount& Actual,
      std::vector<PairCount>& Trials
   )
   {
   	TMonitorFrm* MonitorFrm = 0;

      try
      {
   		MonitorMaster::MMonitorTube MonitorTube(Model, Actual, Trials);

         MonitorFrm = new TMonitorFrm(Owner, MonitorTube);

         MonitorFrm->ShowModal();

         delete MonitorFrm;
      }
      catch(...)
      {
         delete MonitorFrm;

      	ThrowError(ToolsGUI::erOperr, IDE_PairMUI, IDQ_MonitorForm, IDQ_NoMemory);
      }
   }
}
//---------------------------------------------------------------------------

