////////////////////////////////////////////////////////////////////////////////
// MODULE PalgRES.rc:  Pairing Exceptions          G.Kaniuk 07/06/05
//
#ifndef PalgRESH
#define PalgRESH


#define IDA_PAIRINGS                14500             // RANGE 14500 - 14799
#define IDA_Pairing                 IDA_PAIRINGS+1
#define IDA_PairingProc             IDA_PAIRINGS+2
#define IDA_PairingMess             IDA_PAIRINGS+3

#define IDA_PALG							IDA_PAIRINGS+10	// PAIRING ALGORITHM

#define IDA_PAIRSORT						IDA_PALG				// PairSort.cpp
#define IDA_BadStartSort				IDA_PAIRSORT+1
#define IDA_MemStartSort            IDA_PAIRSORT+2
#define IDA_BadSortedPlayerIndex    IDA_PAIRSORT+3
#define IDA_BadPlayerIndex          IDA_PAIRSORT+4
#define IDA_BadMcMahonRange         IDA_PAIRSORT+5
#define IDA_BadMcMahonEnd           IDA_PAIRSORT+6
#define IDA_BadAreaSortRange        IDA_PAIRSORT+7
#define IDA_BadAreaSortEnd          IDA_PAIRSORT+8
#define IDA_BadAreaSizeRange        IDA_PAIRSORT+9
#define IDA_BadGroupCodeRange       IDA_PAIRSORT+10
#define IDA_BadGroupCodeEnd         IDA_PAIRSORT+11
#define IDA_BadPoolRange            IDA_PAIRSORT+12
#define IDA_BadMibRange             IDA_PAIRSORT+13
#define IDA_BadMibRule              IDA_PAIRSORT+14
#define IDA_BadMibEnd               IDA_PAIRSORT+15
#define IDA_BadClassRange           IDA_PAIRSORT+16
#define IDA_BadClassRule            IDA_PAIRSORT+17
#define IDA_BadCibRange             IDA_PAIRSORT+18
#define IDA_BadCibRule              IDA_PAIRSORT+19
#define IDA_BadKomiRange            IDA_PAIRSORT+20
#define IDA_BadPlayerIdRange			IDA_PAIRSORT+21
#define IDA_BadAreaSingle           IDA_PAIRSORT+22
#define IDA_BadBusyRange            IDA_PAIRSORT+23
#define IDA_BadAlienRange           IDA_PAIRSORT+24
#define IDA_BadCompatibleRange      IDA_PAIRSORT+25
#define IDA_BadMcMahonSingle        IDA_PAIRSORT+26
#define IDA_BadMcDiffRange        	IDA_PAIRSORT+27
#define IDA_BadGroupCodeSingle      IDA_PAIRSORT+28
#define IDA_BadMibSingle      		IDA_PAIRSORT+29

#define IDA_BadSameAreaSingle			IDA_PAIRSORT+30
#define IDA_BadSameAreaRange			IDA_PAIRSORT+31
#define IDA_BadSameAreaEnd 			IDA_PAIRSORT+32


#define IDA_PAIRTOOL						IDA_PALG+40				// PairTool.cpp
#define IDA_BadFormMaximumArea      IDA_PAIRTOOL+1

#define IDA_PAIR							IDA_PALG+50				// Pair.cpp
#define IDA_BadGroupCodeFold        IDA_PAIR+1

#define IDA_PAIRMM						IDA_PALG+60				// PairMcMahon.cpp
#define IDA_BadGroupIndex        	IDA_PAIRMM+1
#define IDA_BadGroupClass           IDA_PAIRMM+2
#define IDA_BadGroupLast            IDA_PAIRMM+3
#define IDA_BadEvenParity           IDA_PAIRMM+4
#define IDA_BadNoParity             IDA_PAIRMM+5
#define IDA_BadParityNow            IDA_PAIRMM+6
#define IDA_BadClassParity          IDA_PAIRMM+7
#define IDA_BadClassifyGroup        IDA_PAIRMM+8
#define IDA_BadGroupSize          	IDA_PAIRMM+9
#define IDA_BadClassPrev          	IDA_PAIRMM+10
#define IDA_BadClassExclude         IDA_PAIRMM+11

#define IDA_PAIRMAS						IDA_PALG+80				// PairMaster.cpp
#define IDA_BadPairPlayerId         IDA_PAIRMAS+1
#define IDA_BadPairRound            IDA_PAIRMAS+2
#define IDA_BadManualPlayerId       IDA_PAIRMAS+3
#define IDA_BadManualRound          IDA_PAIRMAS+4
#define IDA_BadHcapId               IDA_PAIRMAS+5
#define IDA_BadHcapRound            IDA_PAIRMAS+6
#define IDA_BadRepeatId             IDA_PAIRMAS+7

#endif
//
////////////////////////////////////////////////////////////////////////////////
 