//---------------------------------------------------------------------------


#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

#include "MenuMaster.h"
#include "PrefsMaster.h"
#include <FileCtrl.hpp>

#ifndef PrefFormH
#define PrefFormH

class TPrefFrm : public TForm
{
__published:	// IDE-managed Components
   TMemo *WishMemo;
   TButton *OkBtn;
   TButton *CancelBtn;
   TColorDialog *ColorDlg;
	TPageControl *PrefPageControl;
	TTabSheet *PrintSheet;
	TTabSheet *ColourSheet;
	TGroupBox *PrFontGrp;
	TComboBox *FontBox;
	TGroupBox *DrawBox;
	TGroupBox *ColourGrp;
	TBitBtn *GridColBtn;
	TButton *HelpBtn;
	TGroupBox *RankBox;
	TComboBox *ClubBox;
	TComboBox *LandBox;
	TLabel *ClubLbl;
	TLabel *LandLbl;
	TButton *DrawFactBtn;
	TButton *PrFactoryBtn;
	TButton *ColourFactBtn;
	TButton *RankFactoryBtn;
	TRadioButton *MMSRadio;
	TRadioButton *GradeRadio;
	TRadioButton *NameRadio;
	TBitBtn *EditColBtn;
	TBitBtn *SleepColBtn;
	TBitBtn *EntryColBtn;
	TTabSheet *BackupSheet;
	TLabel *WishLabel;
	TBevel *WishBevel;
	TGroupBox *BackupGrp;
	TDirectoryListBox *BackupPathList;
	TDriveComboBox *DriveBox;
	TTabSheet *BehaveSheet;
	TGroupBox *BehaveGrp;
	TCheckBox *ReuseWindowBox;
	TButton *BehaveFactoryBtn;
	TTabSheet *DisplaySheet;
	TGroupBox *DrawGrp;
	TGroupBox *CommentGrp;
	TCheckBox *FlagClubBox;
	TCheckBox *FlagLandBox;
	TGroupBox *NameGrp;
	TRadioButton *ScrMMSRadio;
	TRadioButton *ScrGradeRadio;
	TRadioButton *ScrNameRadio;
	TButton *ScrDrawFactBtn;
   void __fastcall OkBtnClick(TObject *Sender);
   void __fastcall CancelBtnClick(TObject *Sender);
   void __fastcall GridColBtnClick(TObject *Sender);
	void __fastcall DrawFactBtnClick(TObject *Sender);
	void __fastcall RankFactBtnClick(TObject *Sender);
	void __fastcall EditColBtnClick(TObject *Sender);
	void __fastcall ColourFactBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall SleepColBtnClick(TObject *Sender);
	void __fastcall EntryColBtnClick(TObject *Sender);
	void __fastcall PrFactoryBtnClick(TObject *Sender);
	void __fastcall BehaveFactoryBtnClick(TObject *Sender);
	void __fastcall ScrDrawFactBtnClick(TObject *Sender);
	void __fastcall OnChangePath(TObject *Sender);
	void __fastcall OnClickPath(TObject *Sender);
	void __fastcall OnChangeDrive(TObject *Sender);
	

private:
   String SysPrinterFont;               // Discovered at PrefForm create
   Graphics::TBitmap* GridPatch;
   Graphics::TBitmap* EditPatch;
   Graphics::TBitmap* SleepPatch;
   Graphics::TBitmap* EntryPatch;

   TColor clGrid, clEdit, clSleep, clEntry;

   String BackupPath;

   void __fastcall LoadBackupCombos(void);

public:
   PrefsMaster::GPrefsTube& PrefsTube; // All parameters communicated here

   int SysFontIndex;							// Index to system font

   __fastcall TPrefFrm(TComponent* Owner, PrefsMaster::GPrefsTube& prefs);
   
};

//---------------------------------------------------------------------------
#endif
