////////////////////////////////////////////////////////////////////////////////
// MODULE  RegPanelGUI    Register Panel Buttons                  G.Kaniuk 13/07/04
//
#include <vcl.h>

#ifndef RegPanelGUIH
#define RegPanelGUIH

#include "PairPaneGUI.h"
#include "RegGUI.h"

namespace RegPanelGUI												// CLass MComboBox
{                                                        // With Autocompletion
	class MComboBox: public TComboBox
   {
   	public:
         __fastcall MComboBox(TComponent* Owner, const int left, const int top, const int width, int height);

         virtual void __fastcall OnChangeEd(TObject* Sender);
         virtual void __fastcall OnClickList(TObject* Sender);
         virtual bool __fastcall FindInList(const String Source);
   };
}

namespace RegPanelGUI												// CLASS MListBox
{
   class MListBox: public TCustomListBox                 // Displaying tabbed strings
   {
      private:
         int TabbedFields;       // Number of fields in each item in list

         const int* FieldPos;    // NULL or the display positions of the fields

         TColor Background;      // Brush Color of Listbox at construction

      protected:
         MESSAGE void __fastcall CNDrawItem(TMessage& message);
         virtual void __fastcall DrawItem(int Index, const TRect& Rect, TOwnerDrawState State);

         void __fastcall KeyDownSpecial(TCMWantSpecialKey& Message);
         DYNAMIC void __fastcall KeyDown(Word &Key,TShiftState Shift);

         void __fastcall MouseWheelUpDn(TObject *Sender,TShiftState Shift, const TPoint &MousePos, bool &Handled){ Handled = true; }
         void __fastcall MouseWheel(TObject *Sender,TShiftState Shift,int WheelDelta, const TPoint &MousePos, bool &Handled){ Handled = true; }

      public:
         BEGIN_MESSAGE_MAP
            MESSAGE_HANDLER(CN_DRAWITEM, TMessage, CNDrawItem)
            MESSAGE_HANDLER(CM_WANTSPECIALKEY, TCMWantSpecialKey, KeyDownSpecial)
         END_MESSAGE_MAP(TCustomListBox)

         __fastcall MListBox
         (
         	TComponent* owner,
            const int tabbed, const int* tabpos
         );

         void __fastcall SetSorted(bool sorted); 
   };
}
//------------------------------------------------------------------------------

namespace RegPanelGUI
{
	using RegGUI::GRegGrid;
   enum
   {
   	rpRegAll = 1, rpUnRegAll = -1
   };

   void __fastcall NewPlayerCmd(void);
   
	void __fastcall FindCmd(TForm* SeekFrm, GRegGrid* RegGrid);

   void __fastcall RegPlayersCmd(TButton* RegAllBtn,  GRegGrid* RegGrid, int RegMode);

   void __fastcall CloseRegCmd(TGroupBox* BarGroup, TGroupBox* PopGroup, GRegGrid* RegGrid);
   void __fastcall OpenRegCmd(GRegGrid* RegGrid);

   void __fastcall LoadRounds(TComboBox* RoundBox);
   void __fastcall ChangeRoundCmd(TComboBox* RoundBox, RegGUI::GRegGrid* RegGrid, PaneGUI::GPairPane* PairPane);
   void __fastcall RestoreCmd(RegGUI::GRegGrid* RegGrid);
   void __fastcall RestoreRegStatus(RegGUI::GRegGrid* RegGrid);
}

//------------------------------------------------------------------------------
#endif
