
////////////////////////////////////////////////////////////////////////////////
// MODULE RulesMaster:  Interface Ruless to GTourMaster  G.Kaniuk 26/08/04
//
#include "Maths.h"
#include "Tour.h"

#ifndef RulesMasterH
#define RulesMasterH

namespace RulesMaster
{
	using Tools::byte;

   using Tours::size_rooms;
   using Tours::size_param;

   using Tours::GTour;

	class MRulesTube
   {
   	public:
         String Styles[6];		// Tournament style list
         String Ties[7];		// Tiebreak lists
         String NoResls[3];   // Void result list

         bool Enabled;			// All fields disabled during editing of any grid

         int iStyle;				// Style selected
         int iTieOne;			// First tiebreak selected
         int iTieTwo;  			// Second tiebreak selected
         int iNoResl;			// Void result selected

         int Rounds;				// Number of rounds
         int Prizes;				// Index into list of prizes shown in half point units

         int BarSeg;				// Bar segregation options
         int RuleSet;			// Planetary Go Association settings

         int dHandicap;			// Handicap adjustment
         int dKomi;				// Points per stone
         int dSuper;				// Supergroup displacement

         int BoardsRequired;				// Total number of boards needed for pairing
         int Boards[size_rooms];			// Room layout

         Byte PairParam[size_param];  	// Pairing parameters from Advanced settings

      public:
         MRulesTube();												// Constructor initialises above from rules  and Tourmaster

         String Range(int sBoard, int eBoard);				// Report the range

         void Harvest(bool& NewRounds, bool& NewStyle);	// Distribute to Rules
   };
}
//---------------------------------------------------------------------------
#endif
 