////////////////////////////////////////////////////////////////////////////////
// MODULE TourMUI:       Interface to TourMaster::GoTour       G.Kaniuk 08/09/04
//
#include "PairPaneGUI.h"
#include "RegGUI.h"
#include "ResGUI.h"

#ifndef TourMUIH
#define TourMUIH

namespace TourMUI								// REGISTER POPUP
{
	class MRegPopup : public TPopupMenu
   {
   	public:
      	RegGUI::GRegGrid* RegGrid;

      	__fastcall MRegPopup(RegGUI::GRegGrid* reggrid);
         __fastcall ~MRegPopup();

      private:
      	TMenuItem* NewItem;
         TMenuItem* ExistItem;
         TMenuItem* GroupItem;
         TMenuItem* DeleteItem;
         TMenuItem* HelpItem;

         int SelRows, SelCols;

         void __fastcall OnRegPopup(TObject *Sender);
         void __fastcall PlayerEditClick(TObject *Sender);
         void __fastcall PlayerGroupClick(TObject *Sender);
         void __fastcall DeletePlayerClick(TObject *Sender);
         void __fastcall HelpClick(TObject *Sender);
   };
 
//	void __fastcall PlayerDetailsForm(TComponent* Owner, RegGUI::GRegGrid* RegGrid, TPoint PopPoint);
}

namespace TourMUI								// PAIRPANE POPUP
{
	using ToolsGUI::GGrid;
   using PaneGUI::GPairPane;
   
	class MPairPopup : public TPopupMenu
   {
   	public:
         GPairPane* PairPane;

      	__fastcall MPairPopup(TComponent* Owner, GPairPane* pairpane);
         __fastcall ~MPairPopup();

      private:
      	TMenuItem* BlackItem;
         TMenuItem* WhiteItem;
      	TMenuItem* PairItem;
         TMenuItem* RankItem;
         TMenuItem* PrizeItem;
         TMenuItem* SimuItem;
         TMenuItem* ClearItem;
         TMenuItem* HelpItem;

         void __fastcall PairPopupClick(TObject* Sender);

         void __fastcall BlackClick(TObject *Sender);
         void __fastcall WhiteClick(TObject *Sender);
         void __fastcall PairClick(TObject *Sender);
         void __fastcall RankClick(TObject *Sender);
         void __fastcall PrizeClick(TObject *Sender);
         void __fastcall SimuClick(TObject *Sender);
         void __fastcall ClearClick(TObject *Sender);
         void __fastcall HelpClick(TObject *Sender);
   };

   void __fastcall GroupsForm(TComponent* Owner, RegGUI::GRegGrid* reggrid, const int row);

   void __fastcall RankListForm(TComponent* Owner, GGrid* Grid);
   void __fastcall PrizeListForm(TComponent* Owner, GGrid* Grid);

   void __fastcall SimulateResultsCmd(ResGUI::GResGrid* ResGrid);
   void __fastcall ClearResultsCmd(ResGUI::GResGrid* ResGrid);

   void __fastcall BlackWhiteDetailsForm(TComponent* Owner, GGrid* Grid,GPairPane* PairPane, TPoint PopPoint, int BlackWhite);
	void __fastcall PairDetailsForm(TComponent* Owner, GGrid* Grid, GPairPane* PairPane, TPoint PopPoint);

   bool __fastcall CloseRegAct(TComponent* Owner, int& Report);
   bool __fastcall JoinDrawAct(TComponent* Owner);
}

//---------------------------------------------------------------------------
#endif
