//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TrainingIDH.h"
#include "SetsRES.h"

#include "ETour.h"

#include "GodrawGUI.h"

#include "Strings.h"
#include "TourMaster.h"
#include "TrainForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

//---------------------------------------------------------------------------
__fastcall TTrainFrm::TTrainFrm
(
	TComponent* Owner,
   ResGUI::GResGrid* resgrid,
   TrainMaster::MTrainTube& traintube
): TForm(Owner), ResGrid(resgrid), TrainTube(traintube)
{
	using TourMaster::EnabledCommands;
   using TourMaster::cmdResult;
   using TourMaster::GoTour;

   HelpFile 				  		= GoDraw::HelpFilePath(String("Training.hlp"));

   DrawGroup->HelpContext     = IDH_DrawMode;
   PartDrawGroup->HelpContext = IDH_Incomplete;

   Caption = LoadStr(IDM_TRAINING) + Tools::s_S(TrainTube.TourNameYear);

   DrawGroup->ItemIndex = TrainTube.DrawMode;

   int PartDraw = TrainTube.DrawMode>0 ? TrainTube.PartDraw : 0;

   PartDrawEd->Text = String(PartDraw);

   PartDrawEdText = PartDrawEd->Text;

   PartDrawEd->Enabled = TrainTube.DrawMode == 1;

   OkBtn->Enabled = GoTour.State>=Tours::tsTourStart;
}
//---------------------------------------------------------------------------

void __fastcall TTrainFrm::DrawGroupClick(TObject *Sender)
{
	const String StrZero("0");

	if(DrawGroup->ItemIndex == 1)
   {
   	PartDrawEd->Enabled  = true;
      PartDrawEd->Text 		= PartDrawEdText;
   }
   else
   {
   	PartDrawEd->Enabled  = false;

      if(PartDrawEd->Text != StrZero)
      	PartDrawEdText = PartDrawEd->Text;

      PartDrawEd->Text = StrZero;
   }
}
//---------------------------------------------------------------------------

void __fastcall TTrainFrm::OkBtnClick(TObject *Sender)
{
	TrainTube.DrawMode = DrawGroup->ItemIndex;
   TrainTube.PartDraw = PartDrawEd->Text.ToInt();
   
	ModalResult = mrOk;
}
//---------------------------------------------------------------------------


void __fastcall TTrainFrm::HelpBtnClick(TObject *Sender)
{
	try{ Application->HelpCommand(HELP_CONTEXT, IDH_SMTRAIN); }catch(...){ }
}
//---------------------------------------------------------------------------

void __fastcall TTrainFrm::FormClose(TObject *Sender, TCloseAction &Action)
{
	try{ Application->HelpCommand(HELP_QUIT, 0); }catch(...){ }
}
//---------------------------------------------------------------------------


