////////////////////////////////////////////////////////////////////////////////
// MODULE  UpsetGUI    Upset list Support                     G.Kaniuk 06/04/02
//
#include <classes.hpp>

#ifndef UpsetGUIH
#define UpsetGUIH

namespace PaneGUI
{
   class GPairPane;
}

namespace UpsetGUI                         // UPSET LIST
{
   using PaneGUI::GPairPane;

   class GUpsetList : public TCustomListBox
   {
      private:
         int ItemUpset;       	// Index of item at start of drag from UpsetList

         void __fastcall DragStartE(TObject* Source, TDragObject* &DragObject);
         void __fastcall DragOverE(TObject* Sink, TObject* Source, int i, int j, TDragState State, bool &Accept);
         void __fastcall DragDropE(TObject* Sink, TObject* Source, int i, int j);

      public:
         GPairPane* PairPane;    // Access pairing model

         __fastcall GUpsetList(TGroupBox* pairgroup);
         __fastcall ~GUpsetList();

         DYNAMIC void __fastcall KeyDown(Word &Key, Classes::TShiftState Shift);

         void __fastcall ClickPlayer(void);

         void __fastcall Mount(ToolsGUI::GGrid* resgrid);

         void __fastcall AddPlayer(String Name, int Number);
         void __fastcall RemovePlayer(int Item);
         void __fastcall ReplacePlayer(int Item,  String Name, int Number);
   };
}
//---------------------------------------------------------------------------
#endif
