//----------------------------------------------------------------------------------------------------------------------
// PMatch	GENERATE PERFECT MATCHINGS ON A COMPLETE GRAPH									geoff kaniuk	2 Nov 2011
//----------------------------------------------------------------------------------------------------------------------
#include <vector>

#ifndef PMATCH_H_
#define PMATCH_H_

//----------------------------------------------------------------------------------------------------------------------
// SECTION
//
namespace Pmatch
{
	using std::vector;

	class PMatch
	{
		private:
										// THE STACK SIMULATOR
			vector<int*> tail;	// Access tail end of match
			vector<int> j;			// j[k] is an index to array wk = tail[k]
			vector<int> n;			// n[k] is size of array wk

			int N,K;					// No of vertices and matched edges

			int k;					// Index to j and wk (simulates the stack depth)
         
			bool started;			// Detects first call of next_matching()
			bool stopped;			// Detects the final matching

			void swap(void);		// Interchange vertices in tail

			vector<int> matched;	// Matching for next call

		public:
			PMatch(const int v);							// The number of vertices must be even

			bool next_matching(vector<int>& match);// Each call generates the next perfect matching
	};
}


#endif 
// END PMatch
//----------------------------------------------------------------------------------------------------------------------
