//---------------------------------------------------------------------------
// MODULE Statistics:         STATISTICAL ANALYSIS     G Kaniuk    31/03/01
//---------------------------------------------------------------------------

#include "Maths.h"

#ifndef StatisticsH
#define StatisticsH

namespace Tools
{
   struct Moments                // ACCUMULATOR FOR LINEAR MODEL
   {
      int n;                     // Number of samples
      
      real x, x2;                // X-Moments
      real y, y2;                // Y-Moments
      real xy;                   // Mixed moments
   };

   struct Model                  // PARAMETERS FOR LINEAR MODEL
   {
      real Slope, Offset;        // The model

      real Corr, Resid;          // Goodness of fit
   };

   void Clear(Moments* M);
   
   void Clear(Model* L);

   void AddSample(real X, real Y, Moments* Moment);

   bool LinearFit(Moments Moment, Model* Params);
}

namespace Tools									// INVERSE HYPERBOLIC FUNCTIONS
{
	real asinh(const real x);
   real atanh(const real x);
}

namespace Tools						// APPROXIMATIONS TO erf
{                                // Mathematics Today, Vol 36 No 5, October 2000
	real erf(const real x);
 	real inverf(const real x);
}
//---------------------------------------------------------------------------
#endif
