////////////////////////////////////////////////////////////////////////////////
// MODULE ETour:       Project-Wide Exception support          G.Kaniuk 22/04/02
//
#include <string>
#include <sysutils.hpp>

#ifndef ETourH
#define ETourH

namespace ToolsGUI
{
   using std::string;

   class ErrorLog
   {
      private:
         int Count;
         String FilePath;
         TFileStream* Stream;

      public:
         ErrorLog();

         void StartUp(string Version, string Filename);   // At app form create

         void Add(string Text);                           // Only if Count<MaxErrors

         void ShutDown();                                 // At app Form Close
   };
}
extern ToolsGUI::ErrorLog AppLog;                         // Declared by application


namespace ToolsGUI
{
   using std::string;

   enum EType
   {
      erBug,
      erOperr,
      erWarn,
      erInfo,
      erLog,
      
      erUnknown
   };

   class ETour : public Exception
   {
      public:
         EType Etype;

      public:
         __fastcall ETour();
         __fastcall ETour(EType etype, string Mess);
    };

   string Forge(EType Etype, short idSource, short idProc, short idMess);

   int ShowMessage(EType etype, string mess);   // returns IDOK,IDCANCEL,IDABORT,IDRETRY,IDIGNORE,IDYES,IDNO

   int WarnOverwrite(string filename);          // returns IDYES,IDNO

   int WarnOK(string mess);							// returns IDOK

   int ShowSyntaxError									// returns IDOK
   (
   	const string text,		// The input that is in error
      const string explain,	// A possibly empty explanation
      const string format		// A possibly empty statement of rules
   );

   int BugReport(short idmodule, short idproc, short idmsg);
   int ErrorReport(short idmodule, short idproc, short idmsg);

   int Serve(Exception& Exceptor, short idSink, short idEvent);

   void ThrowError(EType etype, short idModule, short idProc, short idMess);

   string FormWin32Error(short idSink, short idEvent);

   void ShowWin32Err(short idSink, short idEvent);

   void OperatorError(const int ID_message);
   bool OperatorWarning(const int ID_message);
   void OperatorInfo(const int ID_message);
}

//---------------------------------------------------------------------------
#endif
