////////////////////////////////////////////////////////////////////////////////
// MODULE GraphicsAPI:       Graphics interface to API          G.Kaniuk 7/05/02
//
#include <vcl.h>
#pragma hdrstop

#include "GraphicsAPI.h"

#pragma package(smart_init)
//---------------------------------------------------------------------------

namespace ToolsGUI
{
	void GetAvailableMemory(unsigned int& Load, unsigned int& Total, unsigned int& Avail)
   {
   	MEMORYSTATUS Memory;

      Memory.dwLength = sizeof(MEMORYSTATUS);		// API says set this first

      GlobalMemoryStatus((LPMEMORYSTATUS)(&Memory));

      Load  = (unsigned int)Memory.dwMemoryLoad;
      Total = (unsigned int)Memory.dwTotalPhys;
      Avail = (unsigned int)Memory.dwAvailPhys;
   }

   void GetScreenWorkingArea(int& top, int& left, int& bot, int& right)
   {
      RECT ScreenArea;

      UINT Param = 0, WinIni = 0;

      if(!SystemParametersInfo(SPI_GETWORKAREA, Param, &ScreenArea, WinIni))
         top=left = bot = right = 0;
      else
      {
         top = (int)ScreenArea.top;     left  = (int)ScreenArea.left;
         bot = (int)ScreenArea.bottom;  right = (int)ScreenArea.right;
      }
   }

   
   void DrawAlignedText
   (
      HDC handle,
      const Justify place,
      const Windows::TRect &rect,
      const String& text
   )
   {
      LPCTSTR ctext = (LPCTSTR)text.c_str();

      RECT apirect = static_cast<RECT>(rect);

      UINT centred = DT_SINGLELINE | DT_VCENTER | DT_END_ELLIPSIS;

      switch(place)
      {
         case jyLeft:   centred |= DT_LEFT;     break;
         case jyRight:  centred |= DT_RIGHT;    break;
         case jyCentre: centred |= DT_CENTER;   break;

         default:       centred |= 0;
      }

      DrawText(handle, ctext, -1, (LPRECT)&apirect, centred);
   }

   void DrawAlignedText
   (
      HDC   hcanvas,
      const TColor bgroundcolor,
      const Justify place,
      const Windows::TRect &rect,
      const String& text
   )
   {
      COLORREF GroundColor = ColorToRGB(bgroundcolor);

      COLORREF OldGroundColor = SetBkColor(hcanvas, GroundColor);

      DrawAlignedText(hcanvas,place, rect, text);

      SetBkColor(hcanvas, OldGroundColor);
   }

   void DrawFrame(TCanvas* Canvas, const TRect& area, const TColor color)
   {
      TColor OldPenColor = Canvas->Pen->Color;

      TPoint points[5];

      points[0] = TPoint(area.left, area.top);
      points[1] = TPoint(area.right, area.top);
      points[2] = TPoint(area.right, area.bottom);
      points[3] = TPoint(area.left, area.bottom);
      points[4] = points[0];

      Canvas->Pen->Color = color;

      Canvas->Polyline(points,4);

      Canvas->Pen->Color = OldPenColor;
   }
}
//------------------------------------------------------------------------------


 