////////////////////////////////////////////////////////////////////////////////
// MODULE GraphicsAPI:       Graphics interface to API          G.Kaniuk 7/05/02
//
#define STRICT
#include <string>

#include <windows.h>
#include <winuser.h>

#ifndef GraphicsAPIH
#define GraphicsAPIH

namespace ToolsGUI
{
   enum Justify
   {
      jyLeft, jyRight, jyCentre
   };

   void GetScreenWorkingArea(int& top, int& left, int& bot, int& right);

   void DrawAlignedText
   (
      HDC handle,
      const Justify place,
      const Windows::TRect& rect,
      const String& text
   );

   void DrawAlignedText
   (
      HDC hcanvas,
      const TColor bgroundcolor,
      const Justify place,
      const Windows::TRect &rect,
      const String& text
   );

   void DrawFrame(TCanvas* Canvas, const TRect& area, const TColor color);

   void GetAvailableMemory(unsigned int& Load, unsigned int& Total, unsigned int& Avail);
}
//---------------------------------------------------------------------------
#endif
