////////////////////////////////////////////////////////////////////////////////
// MODULE Sort:       Implement general sorting for GTour      G.Kaniuk 7/08/02
//

#include <functional>

#include "Tour.h"

#ifndef SortH
#define SortH

namespace Tours                          // REGISTER SORT COMPARE FUNCTIONS
{
   using std::binary_function;

   struct OrderEntry : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderTicked : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderName : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderGrade : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderClub : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderLand : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderRounds : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderGroup : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };

   struct OrderNote : binary_function<size_t, size_t, bool>
   {
      bool operator()(const size_t p,  const size_t q);
   };
}



namespace Tours                           // SORT ROUTINES
{
   void SortInterface(GTour* ThisTour);

   size_t ActiveSort(GTour* ThisTour);
   size_t RankSort(GTour* ThisTour);
   size_t PrizeSort(GTour* Tour);
}
#endif
// END Sort
////////////////////////////////////////////////////////////////////////////////

 