////////////////////////////////////////////////////////////////////////////////
// MODULE TourRES:   Tour and TourStream Resource      G.Kaniuk 2/05/02
//      

#ifndef TourRESH
#define TourRESH

#define IDT_START             500                  // RANGE 500 - 1499

#define IDT_Tour              IDT_START+1          // MODULES
#define IDT_Stream            IDT_Tour+1

#define IDT_GTour             IDT_START+5          // TOUR FUNCTIONS
#define IDT_NewPlayer         IDT_GTour+1
#define IDT_ReBuild           IDT_GTour+2
#define IDT_Load              IDT_GTour+3
#define IDT_TieValue          IDT_GTour+4
#define IDT_InvSort           IDT_GTour+5
#define IDT_Sort              IDT_GTour+6
#define IDT_PostSort          IDT_GTour+7
#define IDT_RankSort          IDT_GTour+8
#define IDT_ClubCode          IDT_GTour+9
#define IDT_ClubName          IDT_GTour+10
#define IDT_LandCode          IDT_GTour+11
#define IDT_LandName          IDT_GTour+12

#define IDT_GStream           IDT_START + 50      // STREAM FUNCTIONS
#define IDT_SaveFileStamp     IDT_GStream+1
#define IDT_SaveFileSize      IDT_GStream+2
#define IDT_SaveCodes         IDT_GStream+3
#define IDT_SaveHeader        IDT_GStream+4
#define IDT_SavePlayer        IDT_GStream+5
#define IDT_GTourStream       IDT_GStream+6

#define IDT_LoadFileStamp     IDT_GStream+7
#define IDT_LoadCodes         IDT_GStream+8
#define IDT_LoadHeader        IDT_GStream+9
#define IDT_LoadPlayer        IDT_GStream+10

#define IDT_LoadOldHeader     IDT_GStream+11
#define IDT_GetInt            IDT_GStream+12                                           // LOAD OLD FILE FUNCTIONS
#define IDT_GradeToInt        IDT_GStream+13
#define IDT_LoadPlayerGames   IDT_GStream+14
#define IDT_DecodeParity      IDT_GStream+15

#define IDT_ByteStream        IDT_START+100        // BYTESTREAM FUNCTIONS
#define IDT_ByteStream_put    IDT_ByteStream+1
#define IDT_ByteStream_get    IDT_ByteStream_put+1

#define IDT_TOURDETAIL			IDT_START+120			// FULL PLAYER DETAIL
#define IDT_PlayerForm        IDT_TOURDETAIL+1
#define IDT_PairForm 			IDT_TOURDETAIL+2
#define IDT_OppsForm 			IDT_TOURDETAIL+3
#define IDT_RegPopup				IDT_TOURDETAIL+4
#define IDT_PairPopup			IDT_TOURDETAIL+5


#define IDT_DISPLAY           IDT_START+200			// DISPLAY TEXT
#define IDT_name              IDT_DISPLAY+1
#define IDT_grade             IDT_DISPLAY+2
#define IDT_club              IDT_DISPLAY+3
#define IDT_land              IDT_DISPLAY+4
#define IDT_group             IDT_DISPLAY+5
#define IDT_note              IDT_DISPLAY+6

#define IDT_wins              IDT_DISPLAY+7          // TIE-BREAKS
#define IDT_cuss              IDT_DISPLAY+8
#define IDT_cusp              IDT_DISPLAY+9
#define IDT_sos               IDT_DISPLAY+10
#define IDT_sosos             IDT_DISPLAY+11
#define IDT_sodos             IDT_DISPLAY+12
#define IDT_notie1				IDT_DISPLAY+13
#define IDT_notie2				IDT_DISPLAY+14

#define IDT_BUG               IDT_START+300
#define IDT_BadWriteSize      IDT_BUG+1          		//BUGS
#define IDT_BadReadSize       IDT_BUG+2
#define IDT_BadPosition       IDT_BUG+3

#define IDT_BadFileExt        IDT_BUG+4
#define IDT_BadByteSize       IDT_BUG+5
#define IDT_BadIndex          IDT_BUG+6
#define IDT_BadCase           IDT_BUG+7
#define IDT_BadParams         IDT_BUG+8
#define IDT_BadList           IDT_BUG+9
#define IDT_BadSize           IDT_BUG+10

#define IDT_OPERR             IDT_START+320    			// OPERATOR ERROR
#define IDT_Corrupt           IDT_OPERR+1
#define IDT_NoOpen            IDT_OPERR+2
#define IDT_NoCreate          IDT_OPERR+3
#define IDT_NoRecog           IDT_OPERR+4
#define IDT_OldFile           IDT_OPERR+5
#define IDT_Tamper            IDT_OPERR+6
#define IDT_CodesFull         IDT_OPERR+7
#define IDT_NoPopupEdit       IDT_OPERR+8

#define IDT_PLAYER            IDT_START+400     		// PLAYERFORM
#define IDT_Ready 				IDT_PLAYER+1
#define IDT_PlayerDone			IDT_PLAYER+2
#define IDT_PlDetails			IDT_PLAYER+3
#define IDT_PlNote            IDT_PLAYER+4
#define IDT_PlGroup           IDT_PLAYER+5
#define IDT_Cbal              IDT_PLAYER+6
#define IDT_Mbal              IDT_PLAYER+7
#define IDT_Mout              IDT_PLAYER+8
#define IDT_PlayerNum         IDT_PLAYER+9
#define IDT_PlayHint          IDT_PLAYER+10

#define IDT_Regis					IDT_PLAYER+14
#define IDT_NotRegis				IDT_PLAYER+15

#define IDT_PlPopNew		      IDT_PLAYER+16
#define IDT_PlPopExist		   IDT_PLAYER+17
#define IDT_PlPopGroup			IDT_PLAYER+18
#define IDT_PlPopDelete       IDT_PLAYER+19
#define IDT_PlPopHelp			IDT_PLAYER+20

#define IDT_GAME 					IDT_START+450				// GAMES
#define IDT_Opp               IDT_GAME+1
#define IDT_Col               IDT_GAME+2
#define IDT_Parity            IDT_GAME+3
#define IDT_Stones            IDT_GAME+4
#define IDT_Komi              IDT_GAME+5
#define IDT_Result            IDT_GAME+6
#define IDT_MgScore           IDT_GAME+7
#define IDT_NotWhileEdit		IDT_GAME+8

#define IDT_FRMERR				IDT_START+500				// FORM ERROR
#define IDT_NoPlayer				IDT_FRMERR+1
#define IDT_HelpTest          IDT_FRMERR+2
#define IDT_NoBoardHere		   IDT_FRMERR+3

#define IDT_PAIR					IDT_START+600				// PAIR DETAILS
#define IDT_BLACK					IDT_PAIR+1
#define IDT_WHITE					IDT_PAIR+2
#define IDT_MMI					IDT_PAIR+3
#define IDT_MMC					IDT_PAIR+4
#define IDT_Points				IDT_PAIR+5
#define IDT_Wins					IDT_PAIR+6
#define IDT_Home					IDT_PAIR+7
#define IDT_Black					IDT_PAIR+8
#define IDT_White					IDT_PAIR+9
#define IDT_Pair					IDT_PAIR+10
#define IDT_NoBoard				IDT_PAIR+11
#define IDT_PairDetails       IDT_PAIR+12
#define IDT_Board 				IDT_PAIR+13
#define IDT_Round					IDT_PAIR+14
#define IDT_NonEmptyBoard     IDT_PAIR+15
#define IDT_Player			   IDT_PAIR+16

#define IDT_COMMENT				IDT_START+620
#define IDT_Repeat            IDT_COMMENT + 0
#define IDT_Club              IDT_COMMENT + 1
#define IDT_Land              IDT_COMMENT + 2
#define IDT_Uneven            IDT_COMMENT + 3
#define IDT_Hcap              IDT_COMMENT + 4
#define IDT_Order             IDT_COMMENT + 5

#define IDT_RANK					IDT_START+630
#define IDT_RankTube          IDT_RANK+1
#define IDT_RankForm          IDT_RANK+2
#define IDT_RankList				IDT_RANK+3
#define IDT_RANKLIST          IDT_RANK+4
#define IDT_NOTIE1				IDT_RANK+5
#define IDT_NOTIE2				IDT_RANK+6
#define IDT_HNAME           	IDT_RANK+7
#define IDT_HID					IDT_RANK+8

#define IDT_RESULT				IDT_START+650
#define IDT_Simulate				IDT_RESULT+1
#define IDT_Clear					IDT_RESULT+2

#define IDT_PRIZE					IDT_START+660
#define IDT_PrizeTube			IDT_PRIZE+1
#define IDT_PrizeForm         IDT_PRIZE+2
#define IDT_PrizeList         IDT_PRIZE+3
#define IDT_PRIZELIST         IDT_PRIZE+4
#define IDT_Rank              IDT_PRIZE+5

#define IDT_CLOSEREG          IDT_START+700
#define IDT_CloseRegForm		IDT_CLOSEREG+1
#define IDT_CloseRegTit			IDT_CLOSEREG+2
#define IDT_CloseRegWarn		IDT_CLOSEREG+3
#define IDT_Delete				IDT_CLOSEREG+4
#define IDT_Keep					IDT_CLOSEREG+5
#define IDT_Late					IDT_CLOSEREG+6
#define IDT_Resume            IDT_CLOSEREG+7
#define IDT_NoCloseReg        IDT_CLOSEREG+8

#define IDT_JOINDRAW				IDT_START+750
#define IDT_JoinDrawForm		IDT_JOINDRAW+1
#define IDT_JoinDrawTit			IDT_JOINDRAW+2
#define IDT_JoinDrawQuery		IDT_JOINDRAW+3
#define IDT_DrawCancelled		IDT_JOINDRAW+4

#endif
//
////////////////////////////////////////////////////////////////////////////////


 